Subject: bug#37946: closed (Re: bug#37946: pingus build fails:‘function’ in namespace ‘std’does not name a template type)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 31 Oct 2019 00:08:02 +0000

Your bug report

#37946: pingus build fails: ‘function’ in namespace ‘std’ does not name a template type

which was filed against the guix package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
37946: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=37946
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#37946: pingus build fails: ‘function’in namespace ‘std’ does not name a template type
From: Marius Bakke <[email-masked]>
To: Pierre Neidhardt <[email-masked]>, [email-masked]
Date: Thu, 31 Oct 2019 01:07:03 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Pierre Neidhardt <[email-masked]> writes:

> pingus fails to build, maybe since the last core update:
>
> --8<---------------cut here---------------start------------->8---
> g++ -o build/src/pingus/screens/demo_session.o -c -O2 -s -std=c++0x -isystem/gnu/store/3snpwk7jl8i125bhiilvk9scqc4mnsx7-libpng-1.6.37/include/libpng16 -DVERSION="\"0.7.6\"" -DHAVE_OPENGL=1 -DHAVE_LINUXEVDEV=1 -D_GNU_SOURCE=1 -D_REENTRANT -DHAVE_ICONV_CONST -DICONV_CONST= -Ibuild/src -Isrc -I/gnu/store/3zh2m96050jbd4c7g2qc4mg2jq02zgd8-sdl-1.2.15/include/SDL -I/gnu/store/p04y598xbcpi11xw3vx77h6klnmrmm17-sdl-image-1.2.12/include/SDL -I/gnu/store/98q06cqxskclzgs0wislfnjg1n3gsdbl-sdl-mixer-1.2.12/include/SDL -Ibuild -I. -Ibuild/src -Isrc -Ibuild/external/tinygettext -Iexternal/tinygettext src/pingus/screens/demo_session.cpp
> src/pingus/screens/demo_session.cpp:40:8: error: ‘function’ in namespace ‘std’ does not name a template type
>    std::function<void(void)> callback;
>         ^~~~~~~~
> --8<---------------cut here---------------end--------------->8---

Fixed in 2ed626bf0d28df44328c1946cd69eb79a853c6e0, thanks!

Subject: pingus build fails: ‘function’ in namespace‘std’ does not name a template type
From: Pierre Neidhardt <[email-masked]>
To: [email-masked]
Date: Sun, 27 Oct 2019 20:34:42 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

pingus fails to build, maybe since the last core update:

--8<---------------cut here---------------start------------->8---
g++ -o build/src/pingus/screens/demo_session.o -c -O2 -s -std=c++0x -isystem/gnu/store/3snpwk7jl8i125bhiilvk9scqc4mnsx7-libpng-1.6.37/include/libpng16 -DVERSION="\"0.7.6\"" -DHAVE_OPENGL=1 -DHAVE_LINUXEVDEV=1 -D_GNU_SOURCE=1 -D_REENTRANT -DHAVE_ICONV_CONST -DICONV_CONST= -Ibuild/src -Isrc -I/gnu/store/3zh2m96050jbd4c7g2qc4mg2jq02zgd8-sdl-1.2.15/include/SDL -I/gnu/store/p04y598xbcpi11xw3vx77h6klnmrmm17-sdl-image-1.2.12/include/SDL -I/gnu/store/98q06cqxskclzgs0wislfnjg1n3gsdbl-sdl-mixer-1.2.12/include/SDL -Ibuild -I. -Ibuild/src -Isrc -Ibuild/external/tinygettext -Iexternal/tinygettext src/pingus/screens/demo_session.cpp
src/pingus/screens/demo_session.cpp:40:8: error: ‘function’ in namespace ‘std’ does not name a template type
   std::function<void(void)> callback;
        ^~~~~~~~
--8<---------------cut here---------------end--------------->8---

-- 
Pierre Neidhardt
https://ambrevar.xyz/